Personal tools
You are here: Home Forum Install & build Salome 3.2.6 on Suse 10.0

Salome 3.2.6 on Suse 10.0

Up to Install & build
  • Salome 3.2.6 on Suse 10.0

    Posted by walter steffe at May 16. 2007
    Hy

    I have just installed Salome 3.2.6 on Suse 10.0 by building all from sources with the exception of
    the first three (gcc, tcltk and phyton).  I had only two (minor) pronlems and I do not know if they are related
    or not.

    1) The building of last package (SIERPINSKY) failed.

    2) when I lunch Salome I get the following message:

    ****************************************************************
    *    Warning: library Component cannot be found
    *    Module will not be available
    ****************************************************************
    ****************************************************************
    *    Warning: library PyCalculator cannot be found
    *    Module will not be available
    ****************************************************************

    It is strange because the building of Component and PyCalculator was completed with no errors!


    The last part of the SIERPINSKY log file showing the build error is the following:

    "
    ............
    make[1]: Entering directory `/home/walter/local/Salome/salome_3.2.6/SIERPINSKY_BUILD'
    cd idl ; make lib
    make[2]: Entering directory `/home/walter/local/Salome/salome_3.2.6/SIERPINSKY_BUILD/idl'
    /usr/bin/install -c -d  ../lib/python2.4/site-packages/salome
    /home/walter/local/Salome/salome_3.2.6/omniORB-4.0.7/bin/omniidl -bpythonbe -p /home/walter/local/Salome/salome_3.2.6/SIERPINSKY_SRC_3.2.6/salome_adm/unix -I/home/walter/local/Salome/salome_3.2.6/omniORB-4.0.7/idl -I/home/walter/local/Salome/salome_3.2.6/SIERPINSKY_SRC_3.2.6/idl -I../idl/salome -I/home/walter/local/Salome/salome_3.2.6/KERNEL_3.2.6/idl/salome -I/home/walter/local/Salome/salome_3.2.6/MED_3.2.6/idl/salome -I/home/walter/local/Salome/salome_3.2.6/VISU_3.2.6/idl/salome -I/home/walter/local/Salome/salome_3.2.6/RANDOMIZER_3.2.6/idl/salome  -C../lib/python2.4/site-packages/salome ../idl/salome/Sierpinsky.idl
    SALOME_Component.idl:53: Warning: Identifier 'Component' clashes with CORBA 3 keyword 'component'
    SALOME_Component.idl:178: Warning: Identifier 'Component' clashes with CORBA 3 keyword 'component'
    omniidl: 2 warnings.
    make[2]: Leaving directory `/home/walter/local/Salome/salome_3.2.6/SIERPINSKY_BUILD/idl'
    cd src ; make lib
    make[2]: Entering directory `/home/walter/local/Salome/salome_3.2.6/SIERPINSKY_BUILD/src'
    cd Sierpinsky ; make lib
    make[3]: Entering directory `/home/walter/local/Salome/salome_3.2.6/SIERPINSKY_BUILD/src/Sierpinsky'
    make[3]: *** No rule to make target `gd.h', needed by `SIERPINSKY_Gen_i.lo'.  Stop.
    make[3]: Leaving directory `/home/walter/local/Salome/salome_3.2.6/SIERPINSKY_BUILD/src/Sierpinsky'
    make[2]: *** [lib_Sierpinsky] Error 2
    make[2]: Leaving directory `/home/walter/local/Salome/salome_3.2.6/SIERPINSKY_BUILD/src'
    make[1]: *** [lib_src] Error 2
    make[1]: Leaving directory `/home/walter/local/Salome/salome_3.2.6/SIERPINSKY_BUILD'
    make: *** [all] Error 2

    "


    Best regards
    Walter Steffè

    • Re: Salome 3.2.6 on Suse 10.0

      Posted by Vadim SANDLER at May 16. 2007
      Dear Walter,

      1) SALOME modules Component an PyCalculator do not have GUI part and the log messages just inform that these modules will be not available in the GUI.

      2) SALOME sample module SIERPINSKY requires gd graphic library development kit to be installed on the computer. For example, on Mandrake 10.1 there are libgd2-2.0.27-3mdk (libraries) and libgd2-devel-2.0.27-3mdk (devkit) packages.

      Regards,
      Vadim.
Powered by Ploneboard
Document Actions